Update an existing Meeting
curl --request PATCH \
--url https://commerce.driv.ly/api/meetings/{id} \
--header 'Content-Type: application/json' \
--data '
{
"id": "met_3kd93d3j93d2",
"time": "2024-03-12T10:00:00Z",
"note": "Discuss annual contract terms",
"email": "contact@email.com",
"salesRep": {
"id": "rep_3kd93d3j93d2",
"emails": [
"rep@email.com"
],
"lastName": "Smith",
"firstName": "John",
"templates": [
"Template ID"
],
"creditBands": [
"Good",
"Excellent"
],
"primaryEmail": "rep@email.com",
"phoneNumbers": [
"555-0182"
],
"primaryPhoneNumber": "555-0182",
"isAcceptingNewLeads": true
},
"phoneNumber": "555-0192"
}
'import requests
url = "https://commerce.driv.ly/api/meetings/{id}"
payload = {
"id": "met_3kd93d3j93d2",
"time": "2024-03-12T10:00:00Z",
"note": "Discuss annual contract terms",
"email": "contact@email.com",
"salesRep": {
"id": "rep_3kd93d3j93d2",
"emails": ["rep@email.com"],
"lastName": "Smith",
"firstName": "John",
"templates": ["Template ID"],
"creditBands": ["Good", "Excellent"],
"primaryEmail": "rep@email.com",
"phoneNumbers": ["555-0182"],
"primaryPhoneNumber": "555-0182",
"isAcceptingNewLeads": True
},
"phoneNumber": "555-0192"
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
id: 'met_3kd93d3j93d2',
time: '2024-03-12T10:00:00Z',
note: 'Discuss annual contract terms',
email: 'contact@email.com',
salesRep: {
id: 'rep_3kd93d3j93d2',
emails: ['rep@email.com'],
lastName: 'Smith',
firstName: 'John',
templates: ['Template ID'],
creditBands: ['Good', 'Excellent'],
primaryEmail: 'rep@email.com',
phoneNumbers: ['555-0182'],
primaryPhoneNumber: '555-0182',
isAcceptingNewLeads: true
},
phoneNumber: '555-0192'
})
};
fetch('https://commerce.driv.ly/api/meetings/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "met_3kd93d3j93d2",
"time": "2024-03-12T10:00:00Z",
"note": "Discuss annual contract terms",
"email": "contact@email.com",
"salesRep": {
"id": "rep_3kd93d3j93d2",
"emails": [
"rep@email.com"
],
"lastName": "Smith",
"firstName": "John",
"templates": [
"Template ID"
],
"creditBands": [
"Good",
"Excellent"
],
"primaryEmail": "rep@email.com",
"phoneNumbers": [
"555-0182"
],
"primaryPhoneNumber": "555-0182",
"isAcceptingNewLeads": true
},
"phoneNumber": "555-0192"
},
"success": true
}{
"error": {
"code": 401,
"message": "Unauthorized"
},
"success": false
}{
"error": {
"code": 404,
"message": "Meeting Not Found"
},
"success": false
}{
"error": {
"code": 429,
"message": "Too Many Requests"
},
"success": false
}Sales
Update an existing Meeting
PATCH
/
meetings
/
{id}
Update an existing Meeting
Path Parameters
Meeting is uniquely identified by id
Query Parameters
The number of levels of related objects to include in the response
Body
application/json
Meeting is uniquely identified by id
Phone Number is left for Meeting
Pattern:
^\+?1?[- ]?\(?([0-9]{3})\)?[- ]?([0-9]{3})-?([0-9]{4})$Email is left for Meeting
Meeting is scheduled for Time
Meeting is with Sales Rep
Meeting has Note
Response
Meeting Updated
Show child attributes
Show child attributes
Example:
{
"id": "met_3kd93d3j93d2",
"time": "2024-03-12T10:00:00Z",
"note": "Discuss annual contract terms",
"email": "contact@email.com",
"salesRep": {
"id": "rep_3kd93d3j93d2",
"emails": ["rep@email.com"],
"lastName": "Smith",
"firstName": "John",
"templates": ["Template ID"],
"creditBands": ["Good", "Excellent"],
"primaryEmail": "rep@email.com",
"phoneNumbers": ["555-0182"],
"primaryPhoneNumber": "555-0182",
"isAcceptingNewLeads": true
},
"phoneNumber": "555-0192"
}